{% extends "admin/base_site.html" %}

{% load static %}
{% load i18n %}

<!-- custom filter module -->
{% load i18n_switcher %}

{% block extrahead %}
    <link rel="shortcut icon" href="{% static 'images/favicon.ico' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'css/custom_admin.css' %}"/>
{% endblock %}

{% block branding %}
    {% with 'images/'|add:config.INSTANCE_LOGO as image_path %}
    <img class="admin-logo" src="{% static image_path %}" />
    {% endwith %}
    <h1 id="site-name"><a href="{% url 'admin:index' %}">{% translate "Colmena Administration" %}</a></h1>
{% endblock %}

{% block userlinks %}
    <a class="i18n_link" href="{{ request|switch_i18n:'es' }}">
        <img class="i18n_flag" src="{% static 'images/flags/es.png' %}"/>
    </a> /
    <a class="i18n_link" href="{{ request|switch_i18n:'en' }}">
        <img class="i18n_flag" src="{% static 'images/flags/uk.png' %}"/>
    </a> /
    {% if user.has_usable_password %}
        <a href="{% url 'admin:password_change' %}">{% translate "Change password" %}</a> /
    {% endif %}
    <a id="logout-button" href="{% url 'admin:logout' %}">{% translate "Log out" %}</a>
{% endblock %}
